using Managing.Domain.Users;
using Orleans;

namespace Managing.Domain.Statistics;

[GenerateSerializer]
public class AgentSummary
{
    [Id(0)]
    public int Id { get; set; }
    
    [Id(1)]
    public int UserId { get; set; }
    
    [Id(2)]
    public string AgentName { get; set; }
    
    [Id(3)]
    public decimal TotalPnL { get; set; }
    
    [Id(4)]
    public decimal TotalROI { get; set; }
    
    [Id(5)]
    public int Wins { get; set; }
    
    [Id(6)]
    public int Losses { get; set; }
    
    [Id(7)]
    public DateTime? Runtime { get; set; }
    
    [Id(8)]
    public DateTime CreatedAt { get; set; }
    
    [Id(9)]
    public DateTime UpdatedAt { get; set; }

    [Id(10)]
    public User User { get; set; }

    [Id(11)]
    public int ActiveStrategiesCount { get; set; }

    [Id(12)]
    public decimal TotalVolume { get; set; }

    [Id(13)]
    public decimal TotalBalance { get; set; }
} 